ARDUINO COMMAND LINE MANUAL(1)

NAME
arduino-cli - Arduino CLI.

SYNOPSIS
arduino-cli [flags]

DESCRIPTION
Arduino Command Line Interface (arduino-cli).

OPTIONS
--additional-urls=[]
    Comma-separated list of additional URLs for the Boards Manager.

--config-dir=""
    Sets the default data directory (Arduino CLI will look for configuration file in this directory).

--config-file=""
    The custom config file (if not specified the default will be used).

-h, --help[=false]
    help for arduino-cli

--json[=false]
    Print the output in JSON format.

--log[=false]
    Print the logs on the standard output.

--log-file=""
    Path to the file where logs will be written.

--log-format="text"
    The output format for the logs, can be: text, json

--log-level="info"
    Messages with this level and above will be logged. Valid levels are: trace, debug, info, warn, error, fatal, panic

--no-color[=false]
    Disable colored output.

EXAMPLE
      debian/build/bin/arduino-cli <command> [flags...]

SEE ALSO
arduino-cli-board(1), arduino-cli-burn-bootloader(1), arduino-cli-cache(1), arduino-cli-compile(1), arduino-cli-completion(1), arduino-cli-config(1), arduino-cli-core(1), arduino-cli-daemon(1), arduino-cli-debug(1), arduino-cli-lib(1), arduino-cli-monitor(1), arduino-cli-outdated(1), arduino-cli-profile(1), arduino-cli-sketch(1), arduino-cli-update(1), arduino-cli-upgrade(1), arduino-cli-upload(1), arduino-cli-version(1)

HISTORY
15-Aug-2026 Auto generated by spf13/cobra